summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-action/clanbomber/clanbomber-2.1.1-r1.ebuild48
-rw-r--r--games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch4
-rw-r--r--games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch8
3 files changed, 54 insertions, 6 deletions
diff --git a/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild b/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild
new file mode 100644
index 00000000000..9779ef71c9b
--- /dev/null
+++ b/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="Bomberman-like multiplayer game"
+HOMEPAGE="https://savannah.nongnu.org/projects/clanbomber/"
+SRC_URI="http://download.savannah.gnu.org/releases/${PN}/${P}.tar.lzma"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-libs/boost
+ media-fonts/dejavu
+ media-libs/libsdl[sound,joystick,video]
+ media-libs/sdl-gfx
+ media-libs/sdl-image[png]
+ media-libs/sdl-mixer
+ media-libs/sdl-ttf"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog ChangeLog.hg IDEAS NEWS QUOTES README TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${P}-automake112.patch
+ "${FILESDIR}"/${P}-boost150.patch
+)
+
+src_prepare() {
+ default
+ sed -i -e 's/menuentry//' src/Makefile.am || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ newicon src/pics/cup2.png ${PN}.png
+ make_desktop_entry ${PN}2 ClanBomber2
+ rm -f "${D}${GAMES_DATADIR}"/${PN}/fonts/DejaVuSans-Bold.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf \
+ /usr/share/${PN}/fonts/DejaVuSans-Bold.ttf
+}
diff --git a/games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch b/games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch
index e3223108c36..5fce5be335a 100644
--- a/games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch
+++ b/games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch
@@ -1,5 +1,5 @@
---- configure.ac.old 2012-11-15 09:35:24.682199511 +0100
-+++ configure.ac 2012-11-15 09:36:02.367839076 +0100
+--- a/configure.ac 2012-11-15 09:35:24.682199511 +0100
++++ b/configure.ac 2012-11-15 09:36:02.367839076 +0100
@@ -2,7 +2,7 @@
AC_PREREQ([2.63])
AC_INIT([ClanBomber], [2.1.1], [rsl@members.fsf.org])
diff --git a/games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch b/games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch
index 34335bc79f9..f3e67666a22 100644
--- a/games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch
+++ b/games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch
@@ -1,5 +1,5 @@
---- src/MapEntry.cpp.old 2012-11-15 10:55:40.123259605 +0100
-+++ src/MapEntry.cpp 2012-11-15 10:57:35.217379211 +0100
+--- a/src/MapEntry.cpp 2012-11-15 10:55:40.123259605 +0100
++++ b/src/MapEntry.cpp 2012-11-15 10:57:35.217379211 +0100
@@ -50,7 +50,7 @@
enabled = true;
@@ -9,8 +9,8 @@
// is the file writable?
if (access(path / filename, W_OK) == 0) {
---- src/Map.cpp.old 2012-11-15 10:52:56.884424228 +0100
-+++ src/Map.cpp 2012-11-15 10:54:16.334992079 +0100
+--- a/src/Map.cpp 2012-11-15 10:52:56.884424228 +0100
++++ b/src/Map.cpp 2012-11-15 10:54:16.334992079 +0100
@@ -116,7 +116,7 @@
for (boost::filesystem::directory_iterator dir_iter(path);
dir_iter != end_iter; dir_iter++) {